Subject: Re: Programming problem with POSIX threads and stdout
From: "Mauro Brunato" <[email-masked]>
To: <[email-masked]>
Date: Wed, 29 Sep 2004 18:20:15 +0200

Thanks, Brian! Actually, I had seen that posting, but I missed the fact that 
the third reply was from Faylor, and not from the original poster, who said 
that the problem had been fixed *after* the last stable release.

I'll go get a recent snapshot of the DLL.

Thank you again,

  Mauro.

----- Original Message ----- 
From: "Brian Ford" <[email-masked]>
To: "Mauro Brunato" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, September 29, 2004 6:09 PM
Subject: Re: Programming problem with POSIX threads and stdout

> On Wed, 29 Sep 2004, Mauro Brunato wrote:
>
>> The following has probably already been noticed by someone,
>
> Yup.
>
>> but I could not find any reference (at least, comprehensible to me), so
>> I apologize if my problem has already been taken care of.
>
> How 'bout this thread?:
>
> http://cygwin.com/ml/cygwin/2004-09/msg01292.html
>
>> Consider the following code:
> [snip]
>> I also tried putting debug or optimization flags (-g, -O, -O2) and put an
>> explicit "-lpthread" at the end, with no luck.
>
> -lpthread is not needed on Cygwin.  The pthreads code is part of the
> cygwin dll.
>
> -- 
> Brian Ford
> Senior Realtime Software Engineer
> VITAL - Visual Simulation Systems
> FlightSafety International
> the best safety device in any aircraft is a well-trained pilot... 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/